Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.view.tiles2
Class SpringLocaleResolver

    java.lang.Object
      org.apache.tiles.locale.impl.DefaultLocaleResolver
          org.springframework.web.servlet.view.tiles2.SpringLocaleResolver

All Implemented Interfaces:
  org.apache.tiles.locale.LocaleResolver

    public class SpringLocaleResolver

extends org.apache.tiles.locale.impl.DefaultLocaleResolver

Tiles LocaleResolver adapter that delegates to a Spring `LocaleResolver`, exposing the DispatcherServlet-managed locale.

This adapter gets automatically registered by `TilesConfigurer`. If you are using standard Tiles bootstrap, specify the name of this class as value for the init-param "org.apache.tiles.locale.LocaleResolver".

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `DefinitionsFactory.LOCALE_RESOLVER_IMPL_PROPERTY`

Field Summary

Fields inherited from class org.apache.tiles.locale.impl.DefaultLocaleResolver
`LOCALE_KEY`

Constructor Summary
`SpringLocaleResolver()`

Method Summary
`java.util.Locale` | `resolveLocale(org.apache.tiles.context.TilesRequestContext context)`

Methods inherited from class org.apache.tiles.locale.impl.DefaultLocaleResolver
`init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringLocaleResolver

    public SpringLocaleResolver()

Method Detail

### resolveLocale

    public java.util.Locale resolveLocale(org.apache.tiles.context.TilesRequestContext context)

  Specified by:
    `resolveLocale` in interface `org.apache.tiles.locale.LocaleResolver`
  Overrides:
    `resolveLocale` in class `org.apache.tiles.locale.impl.DefaultLocaleResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD